System 2.0.0.0 4.0.0.0 System.Object System.ComponentModel.ICustomTypeDescriptor

Like , the class relies on a parent object of type supplied during construction. This allows classes that derive from to selectively override methods.

Provides a simple default implementation of the interface.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor is equivalent to calling the other constructor with a parameter that is null.

  All methods of a created with this constructor will return default values.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  If the parameter is null, all methods will return default values. Otherwise, all methods will delegate to the methods of .

  Most methods return null by default. The following table shows the return values for the methods that do not return null by default.

  Method

  Default return value

  An empty attribute collection ().

  The default instance.

  An empty events collection ().

  An empty property collection ().

  Initializes a new instance of the class using a parent custom type descriptor.

  The parent custom type descriptor.
- Method
  2.0.0.0
  4.0.0.0
  System.ComponentModel.AttributeCollection

  If a parent custom type descriptor was passed to the constructor, the method will call the parent's corresponding method.

  Returns a collection of custom attributes for the type represented by this type descriptor.

  An containing the attributes for the type. The default is .

- Method
  2.0.0.0
  4.0.0.0
  System.String

  If a parent custom type descriptor was passed to the constructor, the method will call the parent's corresponding method.

  Returns the fully qualified name of the class represented by this type descriptor.

  A containing the fully qualified class name of the type this type descriptor is describing. The default is null.

- Method
  2.0.0.0
  4.0.0.0
  System.String

  If a parent custom type descriptor was passed to the constructor, the method will call the parent's corresponding method.

  Returns the name of the class represented by this type descriptor.

  A containing the name of the component instance this type descriptor is describing. The default is null.

- Method
  2.0.0.0
  4.0.0.0
  System.ComponentModel.TypeConverter

  If a parent custom type descriptor was passed into the constructor, the method will call the parent's corresponding method.

  Returns a type converter for the type represented by this type descriptor.

  A for the type represented by this type descriptor. The default is a newly created .

- Method
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptor

  If a parent custom type descriptor was passed into the constructor, the method will call the parent's corresponding method.

  Returns the event descriptor for the default event of the object represented by this type descriptor.

  The for the default event on the object represented by this type descriptor. The default is null.

- Method
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptor

  If a parent custom type descriptor was passed into the constructor, the method will call the parent's corresponding method.

  Returns the property descriptor for the default property of the object represented by this type descriptor.

  A for the default property on the object represented by this type descriptor. The default is null.

- Method
  2.0.0.0
  4.0.0.0
  System.Object ``

  If a parent custom type descriptor was passed into the constructor, the method will call the parent's corresponding method.

  Returns an editor of the specified type that is to be associated with the class represented by this type descriptor.

  An editor of the given type that is to be associated with the class represented by this type descriptor. The default is null.

  The base type of the editor to retrieve.
- Method
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptorCollection

  If a parent custom type descriptor was passed into the constructor, the method will call the parent's corresponding method.

  Returns a collection of event descriptors for the object represented by this type descriptor.

  An containing the event descriptors for the object represented by this type descriptor. The default is .

- Method
  2.0.0.0
  4.0.0.0
  System.ComponentModel.EventDescriptorCollection ``

  You can use the parameter to filter the collection that is returned.

  If a parent custom type descriptor was passed into the constructor, the method will call the parent's corresponding method.

  Returns a filtered collection of event descriptors for the object represented by this type descriptor.

  An containing the event descriptions for the object represented by this type descriptor. The default is .

  An array of attributes to use as a filter. This can be null.
- Method
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection

  If a parent custom type descriptor was passed into the constructor, the method will call the parent's corresponding method.

  Returns a collection of property descriptors for the object represented by this type descriptor.

  A containing the property descriptions for the object represented by this type descriptor. The default is .

- Method
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection ``

  You can use the parameter to filter the collection that is returned. For filtering rules, see .

  If a parent custom type descriptor was passed into the constructor, the method will call the parent's corresponding method.

  Returns a filtered collection of property descriptors for the object represented by this type descriptor.

  A containing the property descriptions for the object represented by this type descriptor. The default is .

  An array of attributes to use as a filter. This can be null.
- Method
  2.0.0.0
  4.0.0.0
  System.Object ``

  If a parent custom type descriptor was passed into the constructor, the method will call the parent's corresponding method.

  Returns an object that contains the property described by the specified property descriptor.

  An that owns the given property specified by the type descriptor. The default is null.

  The property descriptor for which to retrieve the owning object.